# Edit this file
# if You have Globus installed put here right location and flavour
# it is beter to use gcc32dbgpthr on Linux
GLOBUS_LOCATION=/opt/globus
GLOBUS_FLAVOR=gcc32dbgpthr
GPT_LOCATION=


# If You do NOT have gpt installed make following variable empty
USE_GLOBUS_GPT=$(GLOBUS_LOCATION)/bin/globus-makefile-header
#USE_GLOBUS_GPT=

# installation location - place where gm will be installed
NORDUGRID_LOCATION=/opt/nordugrid

# PBS option
PBS_LOCATION=/usr/local/openpbs
PBS_SPOOL=/var/spool/PBS

#runtime options
RUNTIME_CONFIG_DIR=/SOFTWARE/runtime
#RUNTIME_LOCAL_SCRATCH_DIR=/home/\\$$USER
RUNTIME_LOCAL_SCRATCH_DIR=
RUNTIME_FRONTEND_SEES_NODE=

# Make it non-empty if of You have Replica Location Service client libraries
# libraries installed.
#USE_GLOBUS_RLS=yes
USE_GLOBUS_RLS=

# Edit these only if You have nonstandard placement of files
GLOBUS_LIBS=${GLOBUS_LOCATION}/lib
GLOBUS_INCLUDES=${GLOBUS_LOCATION}/include/${GLOBUS_FLAVOR}
PBS_BIN_PATH=${PBS_LOCATION}/bin
PBS_LOG_PATH=${PBS_SPOOL}/server_logs
GNU_TIME=/usr/bin/time
NODENAME="/bin/hostname -f"
TMP_DIR=/tmp

# Set it to empty if You do not have gSOAP installed
GSOAP_PATH=/usr/local/gsoap
#GSOAP_PATH=

# If You have gcc newer or starting from 2.96
# Remove -DOLD_GLOBUS_IO if You have globus_io version >= 4.0 (Globus >= 2.4)
DEFINES=-DOLD_GLOBUS_IO -DVERSION='"${VERSION}"' -DHAVE_SSTREAM -DHAVE_STRERROR_R -DHAVE_PTHREAD_YIELD
# If You have gcc earlier than 2.96
#DEFINES=-DOLD_GLOBUS_IO -DVERSION='"${VERSION}"'


#use -DGLOBUS_2_0 when linking against globus 2.0
#use -DGLOBUS_2_2 when linking against globus 2.2
DEFINES+=-DGLOBUS_2_2

CFLAGS=-g -DHAVE_SSTREAM -DVERSION='"${VERSION}"' -DGLOBUS_2_2

ifneq (,$(GSOAP_PATH))
DEFINES+=-DHAVE_GSOAP
endif

ifeq (,$(GPT_LOCATION))
GPT_LOCATION=$(GLOBUS_LOCATION)
endif

GLOBUS_RLS_OBJECT=
ifneq (,$(USE_GLOBUS_RLS))
DEFINES+=-DHAVE_RLS_CLIENT -DRLS_VERSION_MAJOR=1 -DRLS_VERSION_MINOR=1
GLOBUS_RLS_OBJECT=globus_rls_client
endif
